## org.eclipse.datatools.enablement.ase
Interface ISybaseASEDdlConstants

All Superinterfaces:
  ISybaseDdlConstants

All Known Implementing Classes:
  ASEDdlUtils, ASEPrivilegeDeltaDdlGenProvider, SybaseASECheckDeltaDdlGenProvider, SybaseASEColumnDeltaDdlGenProvider, SybaseASEConstraintDeltaDdlGenProvider, SybaseASEDdlBuilder, SybaseASEDdlGenerator, SybaseASEDefaultDeltaDdlGenProvider, SybaseASEForeignKeyDeltaDdlGenProvider, SybaseASEIndexDeltaDdlGenProvider, SybaseASEProcedureDeltaDdlProvider, SybaseASERuleDeltaDdlGenProvider, SybaseASESQLUtil, SybaseASETableDeltaDdlGenProvider, SybaseASETriggerDeltaDdlProvider, SybaseASEUniqueDeltaDdlGenProvider, SybaseASEUserDefinedTypeDeltaDdlGenProvider

    public interface ISybaseASEDdlConstants

extends ISybaseDdlConstants

Field Summary
`static java.lang.String` `ACCESS`
`static java.lang.String` `ACCESSRULE`
`static java.lang.String` `ALL`
`static java.lang.String` `ALLOW_DUPLICATE_ROW`
`static java.lang.String` `ALLPAGES`
`static java.lang.String` `AND`
`static java.lang.String` `BY`
`static java.lang.String` `COLUMN_DELIMITER`
`static java.lang.String` `CONCURRENCY_OPT_THRESHOLD`
`static java.lang.String` `CONSUMERS`
`static java.lang.String` `DATABASE_OWNER`
`static java.lang.String` `DATAPAGES`
`static java.lang.String` `DATAROWS`
`static java.lang.String` `DEFAULT_LOCATION`
`static java.lang.String` `DISABLE`
`static java.lang.String` `ENABLE`
`static java.lang.String` `EXEC`
`static java.lang.String` `EXISTING`
`static java.lang.String` `EXP_ROW_SIZE`
`static java.lang.String` `FILLFACTOR`
`static java.lang.String` `FUTUREONLY`
`static java.lang.String` `HASH`
`static java.lang.String` `IDENTITY`
`static java.lang.String` `IDENTITY_GAP`
`static java.lang.String` `IGNORE_DUPLICATE_KEY`
`static java.lang.String` `IGNORE_DUPLICATE_ROW`
`static java.lang.String` `LESSEQUAL`
`static java.lang.String` `LIST`
`static java.lang.String` `LOAD`
`static java.lang.String` `LOCAL_INDEX`
`static java.lang.String` `LOCK`
`static java.lang.String` `master`
`static java.lang.String` `MATCHFULL`
`static java.lang.String` `MATERIALIZED`
`static java.lang.String` `MAX_ROWS_PER_PAGE`
`static java.lang.String` `MODIFIES_SQL_DATA`
`static java.lang.String` `MODIFY`
`static java.lang.String` `MRU`
`static java.lang.String` `OFF`
`static java.lang.String` `OR`
`static java.lang.String` `OVERRIDE`
`static java.lang.String` `PARTITION`
`static java.lang.String` `PREFETCH`
`static java.lang.String` `PROXY_UPDATE`
`static java.lang.String` `RANGE`
`static java.lang.String` `REPLACE`
`static java.lang.String` `RESERVEPAGEGAP`
`static java.lang.String` `ROUNDROBIN`
`static java.lang.String` `RULE`
`static java.lang.String` `SETUSER`
`static java.lang.String` `SORTED_DATA`
`static java.lang.String` `SP_ADDGROUP`
`static java.lang.String` `SP_ADDOBJECTDEF`
`static java.lang.String` `SP_ADDSEGMENT`
`static java.lang.String` `SP_ADDTYPE`
`static java.lang.String` `SP_ADDUSER`
`static java.lang.String` `SP_BINDCACHE`
`static java.lang.String` `SP_BINDEFAULT`
`static java.lang.String` `SP_BINDRULE`
`static java.lang.String` `SP_CACHESTRATEGY`
`static java.lang.String` `SP_CHANGEGROUP`
`static java.lang.String` `SP_CHGATTRIBUTE`
`static java.lang.String` `SP_DROPGROUP`
`static java.lang.String` `SP_DROPOBJECTDEF`
`static java.lang.String` `SP_DROPSEGMENT`
`static java.lang.String` `SP_DROPTYPE`
`static java.lang.String` `SP_DROPUSER`
`static java.lang.String` `SP_EXTENDSEGMENT`
`static java.lang.String` `SP_PLACEOBJECT`
`static java.lang.String` `SP_RENAME`
`static java.lang.String` `SP_UNBINDEFAULT`
`static java.lang.String` `SP_UNBINDRULE`
`static java.lang.String` `SP_WEBSERVICES`
`static java.lang.String` `STATISTICS_USING`
`static java.lang.String` `TABLE_ONLY`
`static java.lang.String` `TEXT_ONLY`
`static java.lang.String` `USE`
`static java.lang.String` `VALUES`

Fields inherited from interface org.eclipse.datatools.enablement.sybase.ddl.ISybaseDdlConstants

`ALTER_PRIVILEGE, ASC, AT, BEGIN, CAST, CHECKOPTION, CLUSTERED, COLUMN, COMMENT, COMMIT, DATABASE, DELETE_PRIVILEGE, DESC, END, END_IF, EQUAL, EVENT, EXEC_PRIVILEGE, EXISTS, EXTERNAL, EXTERNAL_NAME, FILE, FROM, GO, GO_FOR, GRANT, IF, IN, INOUT, INSERT_PRIVILEGE, IS, JAVA, LOCATOR, LOG, MESSAGE, NONCLUSTERED, OUT, OUTPUT, REFERENCE_PRIVILEGE, REFERENCES_PRIVILEGE, REMOVE, RENAME, REVOKE, SELECT_PRIVILEGE, SEMICOLUMN, THEN, TO, UPDATE_PRIVILEGE, WITH_GRANT_OPTION, WITH_RECOMPILE`

Field Detail

### EXISTING

    static final java.lang.String EXISTING

See Also:
  Constant Field Values

### SP_WEBSERVICES

    static final java.lang.String SP_WEBSERVICES

See Also:
  Constant Field Values

### COLUMN_DELIMITER

    static final java.lang.String COLUMN_DELIMITER

See Also:
  Constant Field Values

### MODIFY

    static final java.lang.String MODIFY

See Also:
  Constant Field Values

### FILLFACTOR

    static final java.lang.String FILLFACTOR

See Also:
  Constant Field Values

### MATCHFULL

    static final java.lang.String MATCHFULL

See Also:
  Constant Field Values

### IDENTITY

    static final java.lang.String IDENTITY

See Also:
  Constant Field Values

### MATERIALIZED

    static final java.lang.String MATERIALIZED

See Also:
  Constant Field Values

### LOCK

    static final java.lang.String LOCK

See Also:
  Constant Field Values

### DATAROWS

    static final java.lang.String DATAROWS

See Also:
  Constant Field Values

### DATAPAGES

    static final java.lang.String DATAPAGES

See Also:
  Constant Field Values

### ALLPAGES

    static final java.lang.String ALLPAGES

See Also:
  Constant Field Values

### MAX_ROWS_PER_PAGE

    static final java.lang.String MAX_ROWS_PER_PAGE

See Also:
  Constant Field Values

### EXP_ROW_SIZE

    static final java.lang.String EXP_ROW_SIZE

See Also:
  Constant Field Values

### RESERVEPAGEGAP

    static final java.lang.String RESERVEPAGEGAP

See Also:
  Constant Field Values

### IDENTITY_GAP

    static final java.lang.String IDENTITY_GAP

See Also:
  Constant Field Values

### PARTITION

    static final java.lang.String PARTITION

See Also:
  Constant Field Values

### RANGE

    static final java.lang.String RANGE

See Also:
  Constant Field Values

### HASH

    static final java.lang.String HASH

See Also:
  Constant Field Values

### LIST

    static final java.lang.String LIST

See Also:
  Constant Field Values

### ROUNDROBIN

    static final java.lang.String ROUNDROBIN

See Also:
  Constant Field Values

### BY

    static final java.lang.String BY

See Also:
  Constant Field Values

### VALUES

    static final java.lang.String VALUES

See Also:
  Constant Field Values

### LESSEQUAL

    static final java.lang.String LESSEQUAL

See Also:
  Constant Field Values

### RULE

    static final java.lang.String RULE

See Also:
  Constant Field Values

### ACCESS

    static final java.lang.String ACCESS

See Also:
  Constant Field Values

### ACCESSRULE

    static final java.lang.String ACCESSRULE

See Also:
  Constant Field Values

### ALL

    static final java.lang.String ALL

See Also:
  Constant Field Values

### AND

    static final java.lang.String AND

See Also:
  Constant Field Values

### OR

    static final java.lang.String OR

See Also:
  Constant Field Values

### EXEC

    static final java.lang.String EXEC

See Also:
  Constant Field Values

### FUTUREONLY

    static final java.lang.String FUTUREONLY

See Also:
  Constant Field Values

### SP_ADDTYPE

    static final java.lang.String SP_ADDTYPE

See Also:
  Constant Field Values

### SP_DROPTYPE

    static final java.lang.String SP_DROPTYPE

See Also:
  Constant Field Values

### SP_BINDEFAULT

    static final java.lang.String SP_BINDEFAULT

See Also:
  Constant Field Values

### SP_BINDRULE

    static final java.lang.String SP_BINDRULE

See Also:
  Constant Field Values

### CONSUMERS

    static final java.lang.String CONSUMERS

See Also:
  Constant Field Values

### IGNORE_DUPLICATE_ROW

    static final java.lang.String IGNORE_DUPLICATE_ROW

See Also:
  Constant Field Values

### ALLOW_DUPLICATE_ROW

    static final java.lang.String ALLOW_DUPLICATE_ROW

See Also:
  Constant Field Values

### IGNORE_DUPLICATE_KEY

    static final java.lang.String IGNORE_DUPLICATE_KEY

See Also:
  Constant Field Values

### SORTED_DATA

    static final java.lang.String SORTED_DATA

See Also:
  Constant Field Values

### STATISTICS_USING

    static final java.lang.String STATISTICS_USING

See Also:
  Constant Field Values

### LOCAL_INDEX

    static final java.lang.String LOCAL_INDEX

See Also:
  Constant Field Values

### MRU

    static final java.lang.String MRU

See Also:
  Constant Field Values

### PREFETCH

    static final java.lang.String PREFETCH

See Also:
  Constant Field Values

### SP_CACHESTRATEGY

    static final java.lang.String SP_CACHESTRATEGY

See Also:
  Constant Field Values

### SP_CHGATTRIBUTE

    static final java.lang.String SP_CHGATTRIBUTE

See Also:
  Constant Field Values

### SP_BINDCACHE

    static final java.lang.String SP_BINDCACHE

See Also:
  Constant Field Values

### MODIFIES_SQL_DATA

    static final java.lang.String MODIFIES_SQL_DATA

See Also:
  Constant Field Values

### REPLACE

    static final java.lang.String REPLACE

See Also:
  Constant Field Values

### SETUSER

    static final java.lang.String SETUSER

See Also:
  Constant Field Values

### OVERRIDE

    static final java.lang.String OVERRIDE

See Also:
  Constant Field Values

### DEFAULT_LOCATION

    static final java.lang.String DEFAULT_LOCATION

See Also:
  Constant Field Values

### LOAD

    static final java.lang.String LOAD

See Also:
  Constant Field Values

### PROXY_UPDATE

    static final java.lang.String PROXY_UPDATE

See Also:
  Constant Field Values

### CONCURRENCY_OPT_THRESHOLD

    static final java.lang.String CONCURRENCY_OPT_THRESHOLD

See Also:
  Constant Field Values

### TABLE_ONLY

    static final java.lang.String TABLE_ONLY

See Also:
  Constant Field Values

### TEXT_ONLY

    static final java.lang.String TEXT_ONLY

See Also:
  Constant Field Values

### OFF

    static final java.lang.String OFF

See Also:
  Constant Field Values

### SP_RENAME

    static final java.lang.String SP_RENAME

See Also:
  Constant Field Values

### SP_PLACEOBJECT

    static final java.lang.String SP_PLACEOBJECT

See Also:
  Constant Field Values

### SP_UNBINDEFAULT

    static final java.lang.String SP_UNBINDEFAULT

See Also:
  Constant Field Values

### SP_UNBINDRULE

    static final java.lang.String SP_UNBINDRULE

See Also:
  Constant Field Values

### SP_ADDUSER

    static final java.lang.String SP_ADDUSER

See Also:
  Constant Field Values

### SP_ADDGROUP

    static final java.lang.String SP_ADDGROUP

See Also:
  Constant Field Values

### SP_DROPUSER

    static final java.lang.String SP_DROPUSER

See Also:
  Constant Field Values

### SP_DROPGROUP

    static final java.lang.String SP_DROPGROUP

See Also:
  Constant Field Values

### SP_CHANGEGROUP

    static final java.lang.String SP_CHANGEGROUP

See Also:
  Constant Field Values

### SP_ADDSEGMENT

    static final java.lang.String SP_ADDSEGMENT

See Also:
  Constant Field Values

### SP_EXTENDSEGMENT

    static final java.lang.String SP_EXTENDSEGMENT

See Also:
  Constant Field Values

### SP_DROPSEGMENT

    static final java.lang.String SP_DROPSEGMENT

See Also:
  Constant Field Values

### USE

    static final java.lang.String USE

See Also:
  Constant Field Values

### master

    static final java.lang.String master

See Also:
  Constant Field Values

### ENABLE

    static final java.lang.String ENABLE

See Also:
  Constant Field Values

### DISABLE

    static final java.lang.String DISABLE

See Also:
  Constant Field Values

### DATABASE_OWNER

    static final java.lang.String DATABASE_OWNER

See Also:
  Constant Field Values

### SP_ADDOBJECTDEF

    static final java.lang.String SP_ADDOBJECTDEF

See Also:
  Constant Field Values

### SP_DROPOBJECTDEF

    static final java.lang.String SP_DROPOBJECTDEF

See Also:
  Constant Field Values